Subject: Re: bug#8054: 24.0.50; Who ever heard of a version number that doesn't change all year?

From: Lennart Borgman <[email-masked]>
Date: Sat, 19 Feb 2011 23:22:06 +0100

On Sat, Feb 19, 2011 at 11:14 PM, Chong Yidong <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>> On Wed, Feb 16, 2011 at 1:54 PM,  <[email-masked]> wrote:
>>> Gentlemen, let's face it, your version number,
>>> emacs-version "24.0.50.1"
>>> is a total disaster for use in e.g., report-emacs-bug.
>>
>> Yepp. I have suggested to use bzr ids instead. Which is what I am
>> using in my patched version of EmacsW32 (so I have some code for w32
>> for it).
>>
>> I think this should be added to the makefiles.
>
> It would be rather annoying to change version.el or other working file
> everything we make a bzr commit, so that's not a good idea.
>
> What we could do is to check if Emacs is being run from inside a bzr
> working directory bound to a savannah.gnu.org location (e.g. trunk), and
> use vc-bzr-current-revision to find and report that revision number.

Yes, something like that is what I have in mind.

> But such a feature would be pretty limited: it would not apply to anyone
> working in a feature branch,

Of course it should be extended to that.

> nor would it apply to those running a "make
> install"ed Emacs.

Why not?